### Method

# EDataCal CalCache remove_components

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_remove_components (
      ECalCache* cal_cache,
      const GSList* ids,
      const GSList* custom_flags,
      ECacheOfflineFlag offline_flag,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Removes components identified by `uid` and `rid` from the `cal_cache` in the `ids` list. When the `rid` is `NULL`, or an empty string, then removes the master object only, without any detached instance. The `custom_flags` is used, if not `NULL`, only if the `offline_flag` is `E_CACHE_IS_OFFLINE`. Otherwise it’s ignored. The length of the `custom_flags` should match the length of `ids`, when not `NULL`.

Available since: 3.26

#### Parameters

`ids`

  Type: A list of `None`

  A `GSList` of components to remove.

  The data is owned by the caller of the method.

`custom_flags`

  Type: A list of `guint32`

  An optional `GSList` of custom flags for the `ids`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`offline_flag`

  Type: `ECacheOfflineFlag`

  One of `ECacheOfflineFlag`, whether removing these comonents in offline.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.